#
# spec file for package brlemu
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           brlemu
Version:        0.1
Release:        63.5
Summary:        Emulates a braille display
License:        GPL-2.0-only
Group:          Development/Tools/Other
URL:            https://build.opensuse.org/package/show/Base:System/brlemu
Source:         brlemu-0.1.tgz
Patch0:         brlemu-fakeport.diff
Patch1:         brlemu-0.1-gcc7.diff
Patch2:         brlemu-0.1-nostrip.diff
BuildRequires:  ncurses-devel

%description
Brlemu emulates a braille display. It is intended for testing braille
support without needing to acquire expensive hardware devices.

%prep
%setup -q -n brlemu-0.1
%autopatch -p1

%build
%make_build CFLAGS="%{optflags} -I/usr/include/ncurses" CC="gcc"

%install
mkdir -p %{buildroot}%{_bindir}
%make_install

%files
%{_bindir}/brlemu
%doc README
%license COPYING

%changelog
* Tue Aug 13 2024 seife+obs@b1-systems.com
- add "-I/usr/include/ncurses" to work around ncurses breakage
* Thu Oct 12 2023 seife+obs@b1-systems.com
- fix patch application with newer rpm
- use %%license instead of %%doc for COPYING file
- fix invalid URL
* Tue Jun  6 2017 seife+obs@b1-systems.com
- add brlemu-0.1-gcc7.diff to fix build with gcc 7
- add brlemu-0.1-nostrip.diff to fix debuginfo package generation
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Apr 23 2008 seife@suse.de
- add the "--fake" option to allow usage with Qemu, update README
* Fri Apr  4 2008 marco@suse.de
- added version number 0.1
- added author and GPL note to brlemu.c/brlemu.h/Makefile
- added COPYINg file (GPL2)
- added install section to Makefile
- modified spec-file
* Wed Feb  6 2008 seife@suse.de
- initial package submission
